<?php
/**
 * @package lithium
 */
?>


<?php // Styling Tip! 

// Want to wrap for example the post content in blog listings with a thin outline in Bootstrap style?
// Just add the class "panel" to the article tag here that starts below. 
// Simply replace post_class() with post_class('panel') and check your site!   
// Remember to do this for all content templates you want to have this, 
// for example content-single.php for the post single view. ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="page-header">
		<h1 class="page-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>

		<?php if ( 'post' == get_post_type() ) : ?>
		<div class="entry-meta">
			<?php lithium_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<?php if ( is_search() || is_archive() ) : // Only display Excerpts for Search and Archive Pages ?>
	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->
	<?php else : ?>
		<div class="row">
			<?php if (get_the_post_thumbnail($post->ID)): ?>
			<div class="post-thumb col-sm-12 col-md-5">
				<?php echo get_the_post_thumbnail($post->ID, array(240,160) ); ?>
			</div>
			<div class="entry-content col-md-7">
				<?php //the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'lithium' ) ); ?>
				<?php echo lithium_excerpt(60);?>
				<?php
					wp_link_pages( array(
						'before' => '<div class="page-links">' . __( 'Pages:', 'lithium' ),
						'after'  => '</div>',
					) );
				?>
				<a href='<?php the_permalink(); ?>' class="post-link clearfix pull-right"> > Read More</a>
			</div><!-- .entry-content -->
			<?php else: ?>
			<div class="post-thumb col-sm-12">
				<?php //the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'lithium' ) ); ?>
				<?php echo lithium_excerpt(60);?>
				<?php
					wp_link_pages( array(
						'before' => '<div class="page-links">' . __( 'Pages:', 'lithium' ),
						'after'  => '</div>',
					) );
				?>
				<a href='<?php the_permalink(); ?>' class="post-link clearfix pull-right"> > Read More</a>
			</div><!-- .entry-content -->
			<?php endif; ?>
		</div>
	<?php endif; ?>
	<footer class="entry-meta">
		<?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$categories_list = get_the_category_list( __( ', ', 'lithium' ) );
				if ( $categories_list && lithium_categorized_blog() ) :
			?>
			<span class="cat-links">
				<?php printf( __( '%1$s', 'lithium' ), $categories_list ); ?>
			</span>
			<?php endif; // End if categories ?>

			<?php
				/* translators: used between list items, there is a space after the comma */
				$tags_list = get_the_tag_list( '', __( ', ', 'lithium' ) );
				if ( $tags_list ) :
			?>
			<span class="tags-links">
				<?php printf( __( '%1$s', 'lithium' ), $tags_list ); ?>
			</span>
			<?php endif; // End if $tags_list ?>
		<?php endif; // End if 'post' == get_post_type() ?>
	</footer><!-- .entry-meta -->
</article><!-- #post-## -->
