<?php 
// Creating the widget 
class lithium_widget extends WP_Widget {

function __construct() {
parent::__construct(
// Base ID of your widget
'lithium_widget', 

// Widget name will appear in UI
__('lithium Social Widget', 'lithium_widget_domain'), 

// Widget description
array( 'description' => __( 'Sample widget based on lithiumeginner Tutorial', 'lithium_widget_domain' ), ) 
);
}

// Creating widget front-end
// This is where the action happens
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
// before and after widget arguments are defined by themes
echo $args['before_widget'];
if ( ! empty( $title ) )
echo $args['before_title'] . $title . $args['after_title'];

// This is where you run the code and display the output

	?>
	<?php $social_urls = get_option( 'lithium_options'); ?>
	<ul class="social-icons">
		<?php if ($social_urls[twitterurl]): ?>
		<li><a href="<?php echo esc_url($social_urls[twitterurl]);?>" class="twitter">Twitter</a></li>
		<?php endif; ?>
		<?php if ($social_urls[facebookurl]): ?>
		<li><a href="<?php echo esc_url($social_urls[facebookurl]);?>" class="facebook">Facebook</a></li>
		<?php endif; ?>
		<?php if ($social_urls[googleurl]): ?>
		<li><a href="<?php echo esc_url($social_urls[googleurl]);?>" class="google">Google+</a></li>
		<?php endif; ?>
		<?php if ($social_urls[pinteresturl]): ?>
		<li><a href="<?php echo esc_url($social_urls[pinteresturl]);?>" class="pinterest">Pinterest</a></li>
		<?php endif; ?>
		<?php if ($social_urls[flickerurl]): ?>
		<li><a href="<?php echo esc_url($social_urls[flickerurl]);?>" class="flicker">Flicker</a></li>
		<?php endif; ?>
		<?php if ($social_urls[instagramurl]): ?>
		<li><a href="<?php echo esc_url($social_urls[instagramurl]);?>" class="instagram">Instagram</a></li>
		<?php endif; ?>
	</ul>
<?php
echo $args['after_widget'];
}
		
// Widget Backend 
public function form( $instance ) {
if ( isset( $instance[ 'title' ] ) ) {
$title = $instance[ 'title' ];
}
else {
$title = __( 'New title', 'lithium_widget_domain' );
}
// Widget admin form
?>
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php echo 'Title:'; ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>
<?php 
}
	
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
return $instance;
}
} // Class lithium_widget ends here

// Register and load the widget
function lithium_load_widget() {
	register_widget( 'lithium_widget' );
}
add_action( 'widgets_init', 'lithium_load_widget' );